#!/usr/bin/env python3

# ライブラリのインポート
import json
import pprint
from flask import Flask, redirect, request, render_template, session, url_for
from datetime import datetime,timedelta

app = Flask(__name__,static_folder='static')
app.secret_key = 'jami2022fake'
app.permanent_session_lifetime = timedelta(minutes=5)

@app.route('/')
def index():
   '''
   フェイクサイトのインデックス画面を表示する。
   '''
   
   return render_template('fake.html')

@app.route('/Login', methods=["POST"])
def login():
   '''
   ログイン画面で入力されたIDとパスワードを記録し、ダミーのエラー画面に遷移する。
   '''

   return redirect(url_for('login_error'))

@app.route('/error')
def login_error():
   '''
   フェイクサイトのエラー画面を表示する。
   '''

   return render_template('error.html')

if __name__ == "__main__":
   app.run(debug=True,port=5000)
